<template>
  <t-modal
    v-model="vModel"
    id="_requires-verified-email-modal"
    @closed="onClosed"
  >
    <!-- eslint-disable -->
    <p>
      Un mail de confirmation a était envoyé à l'adresse : <br>
      <span class="font-semibold">{{ email }}</span>
      <br/><br/>
      Merci de consulter votre boîte de réception et de confirmer votre adresse email.
    </p>
    <!-- eslint-enable -->

    <!-- Footer -->
    <template v-slot:footer>
      <div class="flex justify-center">
        <Button @click.native="vModel = false">
          {{ $t('global.ok') | capitalize }}
        </Button>
      </div>
    </template>

  </t-modal>

</template>

<script>
// BaseModal component
import BaseModal from './BaseModal'
/**
 * RequiresVerifiedEmailModal component
 */
export default {
  name: 'RequiresVerifiedEmailModal',
  extends: BaseModal,
  computed: {
    /**
     * email address
     */
    email: function () {
      return this.$root.auth.user()
        ? this.$root.auth.user().email
        : ''
    }
  },
  methods: {
    /**
     * Called when popup close
     * @return {void}
     */
    onClosed: function () {
      this.$router.push('/settings')
    }
  }
}
</script>

<style lang="scss">
#_requires-verified-email-modal {
  //
}
</style>
